summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-01-20 02:43:48 +0100
committerChristian Grothoff <christian@grothoff.org>2020-01-20 02:43:48 +0100
commitaaa57167db98c607add2cdbd516e4d3cc89e7c07 (patch)
treef8b0e08d3a1806bd29185f4efdf481e824f5af9e /src
parentf4b17c3adaa4dad7d12ef5218ed75b8e7a5210f4 (diff)
downloadexchange-aaa57167db98c607add2cdbd516e4d3cc89e7c07.tar.gz
exchange-aaa57167db98c607add2cdbd516e4d3cc89e7c07.tar.bz2
exchange-aaa57167db98c607add2cdbd516e4d3cc89e7c07.zip
add exchange key during test
Diffstat (limited to 'src')
-rwxr-xr-xsrc/auditor/test-auditor.sh2
-rw-r--r--src/exchange/taler-exchange-httpd_refresh_reveal.c15
-rwxr-xr-xsrc/exchange/test_taler_exchange_httpd_afl.sh5
3 files changed, 12 insertions, 10 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 00ed05230..48249f66e 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -1492,6 +1492,7 @@ check_with_database()
# Setup database-specific globals
MASTER_PUB=`cat ${BASEDB}.mpub`
+ EXCHANGE_BASE_URL=`taler-config -c generate-auditor-basedb.conf -s exchange -o BASE_URL`
# Where to store wire fee details for aggregator
echo "Storing wire fees"
@@ -1509,6 +1510,7 @@ check_with_database()
# Load database
full_reload
+ taler-auditor-exchange -m $MASTER_PUB -u $EXCHANGE_BASE_URL
# Run test suite
fail=0
diff --git a/src/exchange/taler-exchange-httpd_refresh_reveal.c b/src/exchange/taler-exchange-httpd_refresh_reveal.c
index 2503b5a4f..3619f9a39 100644
--- a/src/exchange/taler-exchange-httpd_refresh_reveal.c
+++ b/src/exchange/taler-exchange-httpd_refresh_reveal.c
@@ -203,13 +203,14 @@ check_exists_cb (void *cls,
return;
}
GNUNET_break (TALER_CNC_KAPPA - 1 == num_tprivs);
- GNUNET_break_op (0 == memcmp (tp,
- &rctx->gamma_tp,
- sizeof (struct TALER_TransferPublicKeyP)));
- GNUNET_break_op (0 == memcmp (tprivs,
- &rctx->transfer_privs,
- sizeof (struct TALER_TransferPrivateKeyP)
- * num_tprivs));
+ GNUNET_break_op (0 ==
+ GNUNET_memcmp (tp,
+ &rctx->gamma_tp));
+ GNUNET_break_op (0 ==
+ memcmp (tprivs,
+ &rctx->transfer_privs,
+ sizeof (struct TALER_TransferPrivateKeyP)
+ * num_tprivs));
/* We usually sign early (optimistic!), but in case we change that *and*
we do find the operation in the database, we could use this: */
if (NULL == rctx->ev_sigs)
diff --git a/src/exchange/test_taler_exchange_httpd_afl.sh b/src/exchange/test_taler_exchange_httpd_afl.sh
index e81a6edd7..64884b757 100755
--- a/src/exchange/test_taler_exchange_httpd_afl.sh
+++ b/src/exchange/test_taler_exchange_httpd_afl.sh
@@ -34,7 +34,7 @@ set -eu
PREFIX=
# Uncomment this line to run with valgrind...
-PREFIX="valgrind --leak-check=yes --log-file=valgrind.%p"
+PREFIX="valgrind --leak-check=yes --track-fds=yes --error-exitcode=1 --log-file=valgrind.%p"
# Setup keys.
taler-exchange-keyup -c test_taler_exchange_httpd.conf
# Setup database (just to be sure)
@@ -45,7 +45,6 @@ export GNUNET_FORCE_LOG=";;;;ERROR"
for n in afl-tests/*
do
echo -n "Test $n "
- $PREFIX taler-exchange-httpd -c test_taler_exchange_httpd.conf -t 1 -f $n -C > /dev/null || { echo "FAIL!"; }
- echo "OK"
+ $PREFIX taler-exchange-httpd -c test_taler_exchange_httpd.conf -t 1 -f $n -C > /dev/null && echo "OK" || echo "FAIL $!!"
done
exit 0